// $Id: Example2Func.cxx 555 2010-01-27 12:40:54Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#include <math.h>

extern "C" double gaussian(double *axis, double *pars)
{
   double pos = pars[0];
   double width = pars[1];
   double x = axis[0];
   return exp(-0.5*(x-pos)*(x-pos)/width/width);
}
