// $Id: Go4GuiLinkDef.h 1335 2015-01-23 17:20:30Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TGo4Slot+;

#pragma link C++ class TGo4Proxy+;
#pragma link C++ class TGo4ObjectProxy+;
#pragma link C++ class TGo4DirProxy+;
#pragma link C++ class TGo4TreeProxy+;
#pragma link C++ class TGo4FolderProxy+;
#pragma link C++ class TGo4CanvasProxy+;
#pragma link C++ class TGo4HStackProxy+;
#pragma link C++ class TGo4LinkProxy+;

#pragma link C++ class TGo4Access+;
#pragma link C++ class TGo4AccessWrapper+;
#pragma link C++ class TGo4ObjectManager+;
#pragma link C++ class TGo4Iter+;


#pragma link C++ enum EGo4ShellKind;
#pragma link C++ enum EGo4ConsoleKind;
#pragma link C++ enum EGo4AnalysisCodeKind;
#pragma link C++ enum EGo4ViewPanelMode;

#pragma link C++ class TGo4ServerProxy+;
#pragma link C++ class TGo4AnalysisProxy+;
#pragma link C++ class TGo4BrowserProxy+;
#pragma link C++ class TGo4HServProxy+;
#pragma link C++ class TGo4DabcProxy+;
#pragma link C++ class TGo4WidgetProxyBase+;

#pragma link C++ class TGo4BrowserItem+;
#pragma link C++ class TGo4RootBrowserProxy+;
#pragma link C++ class TGo4AbstractInterface+;
#pragma link C++ class TGo4Interface+;


#endif

